Skip to main content
`Ctrl`+`K`

# PetscViewerMathematicaGetName

Retrieve the default name for objects communicated to Mathematica via `PETSCVIEWERMATHEMATICA`

## Synopsis

    PetscErrorCode PetscViewerMathematicaGetName(PetscViewer viewer, const char **name)

## Input Parameter

- viewer - The Mathematica viewer

## Output Parameter

- name - The name for new objects created in Mathematica

## See Also

`PETSCVIEWERMATHEMATICA`, `PetscViewerMathematicaSetName()`, `PetscViewerMathematicaClearName()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/mathematica/mathematica.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages